          --{{ Welcome to the Cye Dress Up Game! }}--
-- This game was made for the FEMICOM Game Jam #2 and took from August 22 to HERE.
-- Cye Dress Up Game was drawn AND coded by meiows aka Devin Lind. You can find her @meiows on Twitter
-- or aku-seru.tumblr.com. This was her FIRST ever project in Lua. Enjoy!!


function love.load()
  love.window.setTitle("Cye Dress Up")
  love.window.setMode(950, 720)
  love.graphics.setBackgroundColor(255,243,249)
  bgm = love.audio.newSource( 'goldstars.mp3', 'stream' )
  bgm:setLooping( true ) --so it doesnt stop
  bgm:play()
  base = love.graphics.newImage("base.png")
  click = love.graphics.newImage("instrucs.png")
  tumblr = love.graphics.newImage("tumblr.png")
    clothesImages = {
      --socks
      blks = {love.graphics.newImage("clothes/socks/blacks.png"), x = -10, y = 435, z = 1, w=264, h=280, layer = 1},
      mars = {love.graphics.newImage("clothes/socks/maroons.png"), x = 20, y = 435, z= 1, w=264, h=280, layer = 2},
      whites = {love.graphics.newImage("clothes/socks/whites.png"), x = 50, y = 435, z = 1, w=258, h=280, layer = 3},
      --shoes
      boots = {love.graphics.newImage("clothes/shoes/boots.png"), x = 550, y = 500, z = 5, w=254, h=170, layer = 4},
      converse = {love.graphics.newImage("clothes/shoes/converse.png"), x = 630, y = 500, z = 5, w=221, h=133, layer = 5},
      flips = {love.graphics.newImage("clothes/shoes/flips.png"), x = 730, y = 500, z = 5, w=199, h=92, layer = 6},
      --skirts
      blksk = {love.graphics.newImage("clothes/skirts/black.png"), x = 5, y = 275, z = 2, w=235, h=158, layer = 7},
      plaid = {love.graphics.newImage("clothes/skirts/plaid.png"), x = 35, y = 275, z = 2, w=235, h=158, layer = 8},
      whitesk = {love.graphics.newImage("clothes/skirts/white.png"), x = 65, y = 275, z = 2, w=235, h=158, layer = 9},
      --shorts
      athletic = {love.graphics.newImage("clothes/shorts/athletic.png"), x = 20, y = 110, z = 3, w=207, h=112, layer = 10},
      denim = {love.graphics.newImage("clothes/shorts/denim.png"), x = 90, y = 110, z = 3, w=201, h=135, layer = 11},
      --shirts
      cat = {love.graphics.newImage("clothes/shirts/cat.png"), x = 650, y = 275, z= 4, w=200, h=185, layer = 12},
      tee = {love.graphics.newImage("clothes/shirts/tee.png"), x = 690, y = 275, z= 4, w=216, h=186, layer = 13},
      tank = {love.graphics.newImage("clothes/shirts/tank.png"), x = 620, y = 275, z=4,  w=152, h=178, layer = 14},      
      --accessories
      bracelet = {love.graphics.newImage("clothes/acc/bracelet.png"), x = 650, y = 110, z = 6, w=26, h=31, layer = 15},
      choker = {love.graphics.newImage("clothes/acc/choker.png"), x = 730, y = 110, w=46, z = 6, h=22, layer = 16},
      mole = {love.graphics.newImage("clothes/acc/mole.png"), x = 820, y = 110, z = 6, w=25, h=25, layer = 17}
    }
   selected = false
   xoffset = 0
   yoffset = 0
end


function love.update(dt)
   if selected then
      clothesImages[selected].x = love.mouse.getX() + xoffset
      clothesImages[selected].y = love.mouse.getY() + yoffset
   end
end

function love.draw()
  love.graphics.draw(click)
  love.graphics.draw(tumblr, 650, 1)
  love.graphics.draw(base, love.graphics.getWidth()/2 - base:getWidth()/2, love.graphics.getHeight()/2 - base:getHeight()/2)
   for i,v in pairs(clothesImages) do
      love.graphics.draw(v[1], v.x, v.y)
   end
end

function love.mousepressed(x, y, key)
   if key == "l" then
      local o = {}
      for i,v in pairs(clothesImages) do
         if x > v.x and x < v.x + v.w and y > v.y and y < v.y + v.h then
            o[#o + 1] = {id = i, layer = v.layer}
         end
      end
table.sort(o, function(a, b) return a.layer > b.layer end)
      if #o > 0 then
         selected = o[1].id
         xoffset = clothesImages[selected].x - x
         yoffset = clothesImages[selected].y - y
      end
   end
end

function love.mousereleased(x, y, key)
   selected = false
end
